Index: npl/kernel/drv_pf_ring/drv_pf_ring.SlackBuild
===================================================================
--- npl/kernel/drv_pf_ring/drv_pf_ring.SlackBuild	(revision e248cf206de78584fb5cd2702847596c07312488)
+++ npl/kernel/drv_pf_ring/drv_pf_ring.SlackBuild	(revision e248cf206de78584fb5cd2702847596c07312488)
@@ -0,0 +1,65 @@
+#!/bin/bash
+
+##NEED:...
+#DEP:linux_src
+#DEP:linux
+
+#######Essential package info.
+#Change these if autodetection fails.
+
+#Name of the Syn-3 package that we are going to create
+NAME=`basename $0|sed 's/.SlackBuild//'`
+
+#Archive of the sourcefiles to unpack 
+SRC_ARC=`ls *.tar.* *.zip 2>/dev/null`
+
+#Version of the sourcefiles
+VER=`echo $SRC_ARC| sed 's/.*-//g' | sed 's/\.tar\..*$//g' | sed 's/\.zip$//g'`
+
+#Architecture that the created binaries run on.
+#Use noarch for scripts.
+ARCH=`uname -m`
+
+#from this point on, exit on errors:
+set -e
+
+########Build and create the pacakge.
+#Uncomment the stuff that you dont want or need
+
+#Unpack source 
+#(uncomment if not needed)
+syn3_unpack $SRC_ARC 
+
+#Directory where the sourcefiles are unpacked. 
+#(you might have to adjust this if autodetection fails)
+SRC_DIR=`ls -c|head -1`
+
+#apply patches
+#patch -p1 -d $SRC_DIR < fluxkiosk.patch || exit 1
+
+pushd $SRC_DIR 
+
+
+#AUTOMAKE: Compile
+cd kernel
+make -j1 || exit 1
+make pkgconfigdir=/usr/lib/pkgconfig install_prefix=/tmp/pkg DESTDIR=/tmp/pkg INSTALL_ROOT=/tmp/pkg install_root=/tmp/pkg -j1 install || exit 1
+
+cd ../userland
+make -j1 || exit 1
+make pkgconfigdir=/usr/lib/pkgconfig install_prefix=/tmp/pkg DESTDIR=/tmp/pkg INSTALL_ROOT=/tmp/pkg install_root=/tmp/pkg -j1 install || exit 1
+
+popd
+
+#strip bins and other stuff
+syn3_strip /tmp/pkg || exit 1
+
+#move development stuff and create seperate development package
+syn3_move_dev /tmp/pkg /tmp/pkgdev || exit 1
+syn3_makepkg /tmp/pkgdev $NAME""_dev $VER $ARCH || exit 1
+
+#make main package
+syn3_makepkg /tmp/pkg $NAME $VER $ARCH || exit 1
+
+
+
Index: npl/kernel/drv_pf_ring/drv_pf_ring.arch
===================================================================
--- npl/kernel/drv_pf_ring/drv_pf_ring.arch	(revision e248cf206de78584fb5cd2702847596c07312488)
+++ npl/kernel/drv_pf_ring/drv_pf_ring.arch	(revision e248cf206de78584fb5cd2702847596c07312488)
@@ -0,0 +1,1 @@
+i686
Index: npl/kernel/drv_pf_ring/drv_pf_ring.build
===================================================================
--- npl/kernel/drv_pf_ring/drv_pf_ring.build	(revision e248cf206de78584fb5cd2702847596c07312488)
+++ npl/kernel/drv_pf_ring/drv_pf_ring.build	(revision e248cf206de78584fb5cd2702847596c07312488)
@@ -0,0 +1,1 @@
+5
Index: npl/kernel/drv_pf_ring/drv_pf_ring.depver
===================================================================
--- npl/kernel/drv_pf_ring/drv_pf_ring.depver	(revision e248cf206de78584fb5cd2702847596c07312488)
+++ npl/kernel/drv_pf_ring/drv_pf_ring.depver	(revision e248cf206de78584fb5cd2702847596c07312488)
@@ -0,0 +1,2 @@
+linux_src	404033004
+linux	0
Index: npl/kernel/drv_pf_ring/drv_pf_ring.md5
===================================================================
--- npl/kernel/drv_pf_ring/drv_pf_ring.md5	(revision e248cf206de78584fb5cd2702847596c07312488)
+++ npl/kernel/drv_pf_ring/drv_pf_ring.md5	(revision e248cf206de78584fb5cd2702847596c07312488)
@@ -0,0 +1,5 @@
+66b8002a8f28c949e8c2acd4b79fbfdc  ./drv_pf_ring_dev.pkg
+924448bf7dfb0532cd4f78deedec0f95  ./drv_pf_ring.pkg
+8ab1d083c9ef0fea7a2d5fb2663252e1  ./drv_pf_ring.SlackBuild
+80c69602597e4ab836436772966c55b9  ./drv_pf_ring.SlackBuild.log.gz
+4199f896b822fbe87afc76c31505c371  ./pf-ring-6.6.0.tar.gz
Index: npl/kernel/drv_pf_ring/drv_pf_ring.version
===================================================================
--- npl/kernel/drv_pf_ring/drv_pf_ring.version	(revision e248cf206de78584fb5cd2702847596c07312488)
+++ npl/kernel/drv_pf_ring/drv_pf_ring.version	(revision e248cf206de78584fb5cd2702847596c07312488)
@@ -0,0 +1,1 @@
+6.6.0
Index: npl/kernel/drv_pf_ring/drv_pf_ring_dev.arch
===================================================================
--- npl/kernel/drv_pf_ring/drv_pf_ring_dev.arch	(revision e248cf206de78584fb5cd2702847596c07312488)
+++ npl/kernel/drv_pf_ring/drv_pf_ring_dev.arch	(revision e248cf206de78584fb5cd2702847596c07312488)
@@ -0,0 +1,1 @@
+i686
Index: npl/kernel/drv_pf_ring/drv_pf_ring_dev.build
===================================================================
--- npl/kernel/drv_pf_ring/drv_pf_ring_dev.build	(revision e248cf206de78584fb5cd2702847596c07312488)
+++ npl/kernel/drv_pf_ring/drv_pf_ring_dev.build	(revision e248cf206de78584fb5cd2702847596c07312488)
@@ -0,0 +1,1 @@
+5
Index: npl/kernel/drv_pf_ring/drv_pf_ring_dev.version
===================================================================
--- npl/kernel/drv_pf_ring/drv_pf_ring_dev.version	(revision e248cf206de78584fb5cd2702847596c07312488)
+++ npl/kernel/drv_pf_ring/drv_pf_ring_dev.version	(revision e248cf206de78584fb5cd2702847596c07312488)
@@ -0,0 +1,1 @@
+6.6.0
